Debian Bug report logs - #672820
transition: libcdio

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Nicolas Boullis <nboullis@debian.org>

Date: Sun, 13 May 2012 22:12:01 UTC

Severity: normal

Tags: pending

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#672820; Package release.debian.org. (Sun, 13 May 2012 22:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Boullis <nboullis@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 13 May 2012 22:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicolas Boullis <nboullis@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: libcdio
Date: Sun, 13 May 2012 23:45:52 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Dear release team,

I'd like to upload a recent libcdio to unstable.
Unfortunately, as usual with libcdio, upgrading from 0.81 to 0.83
means breaking the ABI and changing the sonames of the
libcdio-cdda, libcdio-paranoia, libcdio and libiso9660 libraries...

FWIW, here is the list of (source packages of) packages that depend on
one of the old libraries:

$ grep-aptavail -F Depends libcdio-cdda0 -o -F Depends libcdio-paranoia0 -o -F Depends libcdio10 -o -F Depends libiso9660-7 -s Source:Package | sed -e 's/^Package:/Source:/' | sort -u
Source: aqualung
Source: audacious-plugins
Source: cdw
Source: clementine (1.0.1+dfsg-1)
Source: fuse-umfuse-iso9660
Source: gmerlin (1.0.0~dfsg-13)
Source: gmerlin-avdecoder (1.1.0~dfsg-3)
Source: gst-plugins-ugly0.10
Source: gvfs
Source: kover
Source: libav
Source: libcdio
Source: libdevice-cdio-perl (0.2.4-5)
Source: mednafen
Source: mplayer2
Source: qmmp
Source: vcdimager
Source: vlc (2.0.1-4)
Source: xine-lib
Source: xine-lib-1.2
Source: xmms2 (0.8+dfsg-2)

A binNMU should be enough for all these packages.

Note that libcdio 0.83 was already uploaded to experimental; latest is 
0.83-3.

If I understand what a "ben file" is, I think a "ben file" for this 
transition could be:

title = "libcdio";
is_affected = .depends ~ /libcdio-cdda[01]/ | .depends ~ /libcdio-paranoia[01]/ | .depends ~ /libcdio1[03]/ | .depends ~ /libiso9660-[78]/
is_good = .depends ~ /libcdio-cdda1/ | .depends ~ /libcdio-paranoia1/ | .depends ~ /libcdio13/ | .depends ~ /libiso9660-8/
is_bad = .depends ~ /libcdio-cdda0/ | .depends ~ /libcdio-paranoia0/ | .depends ~ /libcdio10/ | .depends ~ /libiso9660-7/

Please tell me whether/when I can upload to unstable.


Cheers,

-- 
Nicolas
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#672820; Package release.debian.org. (Sun, 13 May 2012 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 13 May 2012 22:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 672820@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Nicolas Boullis <nboullis@debian.org>, 672820@bugs.debian.org
Subject: Re: Bug#672820: transition: libcdio
Date: Mon, 14 May 2012 00:19:57 +0200
[Message part 1 (text/plain, inline)]
Hi Nicolas,

Nicolas Boullis <nboullis@debian.org> (13/05/2012):
> A binNMU should be enough for all these packages.

does it mean the API didn't change much, and that you test-rebuilt those
packages?

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#672820; Package release.debian.org. (Sun, 13 May 2012 22:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Boullis <nboullis@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 13 May 2012 22:39:06 GMT) Full text and rfc822 format available.

Message #15 received at 672820@bugs.debian.org (full text, mbox):

From: Nicolas Boullis <nboullis@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: 672820@bugs.debian.org
Subject: Re: Bug#672820: transition: libcdio
Date: Mon, 14 May 2012 00:30:10 +0200
Hi KiBi,

On Mon, May 14, 2012 at 12:19:57AM +0200, Cyril Brulebois wrote:
> Hi Nicolas,
> 
> does it mean the API didn't change much,

That's true.


> and that you test-rebuilt those packages?

Unfortunately not.
I test-rebuilt vcdimager (which lead me to patching libcdio to revert a 
change in its behavior).
I think I also test-rebuilt a few other packages, but that was months 
ago¹ and I don't remember which ones.
If you wish, I can test-rebuild all those packages, but I'm afraid I 
don't have enough CPU power at home to handle this quickly.


Cheers,

-- 
Nicolas

¹ I somehow missed the requirement to request transitions as bug reports 
against the release.debian.org pseudo-package, and asked it about 2 
months ago as a simple e-mail to debian-release@l.d.o, but my message 
remained unanswered.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#672820; Package release.debian.org. (Sun, 13 May 2012 23:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 13 May 2012 23:03:07 GMT) Full text and rfc822 format available.

Message #20 received at 672820@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Nicolas Boullis <nboullis@debian.org>, 672820@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#672820: transition: libcdio
Date: Mon, 14 May 2012 01:00:40 +0200
[Message part 1 (text/plain, inline)]
Hi Nicolas,

On Mon, May 14, 2012 at 00:30:10 +0200, Nicolas Boullis wrote:

> ¹ I somehow missed the requirement to request transitions as bug reports 
> against the release.debian.org pseudo-package, and asked it about 2 
> months ago as a simple e-mail to debian-release@l.d.o, but my message 
> remained unanswered.
> 
Not really a requirement, but the bts makes tracking stuff easier.  In
any case our backlog for transition requests is longer than two months
right now, unfortunately.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#672820; Package release.debian.org. (Mon, 14 May 2012 00:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 14 May 2012 00:06:05 GMT) Full text and rfc822 format available.

Message #25 received at 672820@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Nicolas Boullis <nboullis@debian.org>, 672820@bugs.debian.org
Subject: Re: Bug#672820: transition: libcdio
Date: Mon, 14 May 2012 02:03:32 +0200
[Message part 1 (text/plain, inline)]
Hi again,

Nicolas Boullis <nboullis@debian.org> (13/05/2012):
> If I understand what a "ben file" is, I think a "ben file" for this 
> transition could be:
> 
> title = "libcdio";
> is_affected = .depends ~ /libcdio-cdda[01]/ | .depends ~ /libcdio-paranoia[01]/ | .depends ~ /libcdio1[03]/ | .depends ~ /libiso9660-[78]/
> is_good = .depends ~ /libcdio-cdda1/ | .depends ~ /libcdio-paranoia1/ | .depends ~ /libcdio13/ | .depends ~ /libiso9660-8/
> is_bad = .depends ~ /libcdio-cdda0/ | .depends ~ /libcdio-paranoia0/ | .depends ~ /libcdio10/ | .depends ~ /libiso9660-7/

[XY] parts weren't needed, but that's OK enough. I've excluded the
source package though, making one level of dependencies go away:

  is_affected = (yourstuff) & !.source ~ "libcdio";

Tracker is available at:
  http://release.debian.org/transitions/html/libcdio.html

We'll get back to you once the situation clears up a bit as far as
transitions are concerned. No promises, though.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 672820: 676100 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 13 Jun 2012 19:09:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#672820; Package release.debian.org. (Wed, 13 Jun 2012 19:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 13 Jun 2012 19:12:05 GMT) Full text and rfc822 format available.

Message #32 received at 672820@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Nicolas Boullis <nboullis@debian.org>, 672820@bugs.debian.org
Subject: Re: Bug#672820: transition: libcdio
Date: Wed, 13 Jun 2012 21:08:48 +0200
On Sun, May 13, 2012 at 23:45:52 +0200, Nicolas Boullis wrote:

> Please tell me whether/when I can upload to unstable.
> 
Thanks for your patience.  It should be fine to go ahead now.  #676100
will need to be fixed, but that may just mean dropping the
libxmmsclient-ruby* packages.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#672820; Package release.debian.org. (Thu, 14 Jun 2012 08:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Boullis <nboullis@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 14 Jun 2012 08:36:06 GMT) Full text and rfc822 format available.

Message #37 received at 672820@bugs.debian.org (full text, mbox):

From: Nicolas Boullis <nboullis@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 672820@bugs.debian.org
Subject: Re: Bug#672820: transition: libcdio
Date: Thu, 14 Jun 2012 10:32:08 +0200
On Wed, Jun 13, 2012 at 09:08:48PM +0200, Julien Cristau wrote:
> Thanks for your patience.  It should be fine to go ahead now.  #676100
> will need to be fixed, but that may just mean dropping the
> libxmmsclient-ruby* packages.

Ok, thanks. I just uploaded libcdio 0.83-4 to unstable.


Cheers,

-- 
Nicolas




Added blocking bug(s) of 672820: 677702 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 16 Jun 2012 10:15:51 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 16 Jun 2012 11:36:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#672820; Package release.debian.org. (Mon, 18 Jun 2012 19:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rémi Vanicat <vanicat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 18 Jun 2012 19:03:08 GMT) Full text and rfc822 format available.

Message #46 received at 672820@bugs.debian.org (full text, mbox):

From: Rémi Vanicat <vanicat@debian.org>
To: Debian kBSD <debian-bsd@lists.debian.org>
Cc: 676100@bugs.debian.org, 672820@bugs.debian.org
Subject: failed attempt to build xmms2, blocking libcdio transition.
Date: Mon, 18 Jun 2012 21:01:14 +0200
Hello Debian/BSD hackers,

I've recently upload an new version of xmms2 to fix an FTBS[1] and help
a libcdio transition[2]. But the build failed on both kfreebsd buildd
(fano[3] and finzi[4]) at very different stage of compilation, but in
both case waf or gcc hang, and the build was killed after some time.

Is there anything I should know/do about this problem on the kfreebsd
port?

Thanks

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=676100
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=672820
[3] https://buildd.debian.org/status/fetch.php?pkg=xmms2&arch=kfreebsd-amd64&ver=0.8%2Bdfsg-3&stamp=1340024041
[4] https://buildd.debian.org/status/fetch.php?pkg=xmms2&arch=kfreebsd-i386&ver=0.8%2Bdfsg-3&stamp=1340032320

-- 
Rémi Vanicat




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#672820; Package release.debian.org. (Mon, 18 Jun 2012 19:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 18 Jun 2012 19:30:06 GMT) Full text and rfc822 format available.

Message #51 received at 672820@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Rémi Vanicat <vanicat@debian.org>
Cc: Debian kBSD <debian-bsd@lists.debian.org>, 676100@bugs.debian.org, 672820@bugs.debian.org
Subject: Re: failed attempt to build xmms2, blocking libcdio transition.
Date: Mon, 18 Jun 2012 20:25:51 +0100
Hi,

On 18/06/12 20:01, Rémi Vanicat wrote:
> [...] in
> both case waf or gcc hang, and the build was killed after some time.

I think there is a problem affecting Python threads on kfreebsd-*
currently, perhaps a bug in our glibc, and this has been seen sometimes
when building other packages that use waf:  samba4, guitarix.

It seems random, so in some cases they build okay after being given back
to the buildds for another attempt.  (Looks like xmms2 just built
successfully after a giveback).

The cause of this may be difficult to track down;  it's not easy to
reproduce it on demand.  Sorry for the inconvenience!

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#672820; Package release.debian.org. (Mon, 18 Jun 2012 22:17:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 18 Jun 2012 22:17:40 GMT) Full text and rfc822 format available.

Message #56 received at 672820@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: 672820@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#672820: transition: libcdio
Date: Tue, 19 Jun 2012 00:15:30 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Mon, 14 May 2012 01:00:40 +0200, Julien Cristau <jcristau@debian.org>
wrote:
> On Mon, May 14, 2012 at 00:30:10 +0200, Nicolas Boullis wrote:
> > ¹ I somehow missed the requirement to request transitions as bug reports 
> > against the release.debian.org pseudo-package, and asked it about 2 
> > months ago as a simple e-mail to debian-release@l.d.o, but my message 
> > remained unanswered.
> > 
> Not really a requirement, but the bts makes tracking stuff easier.  In
> any case our backlog for transition requests is longer than two months
> right now, unfortunately.

As you (Julien) discovered, mednafen has a potential FTBFS related to its
construction of Built-Using (#677867). Given that the current package binNMU'd
correctly on all platforms except hurd-i386, I suppose I should wait until
the libcdio transition is over before uploading a fix, shouldn't I? The
reason I ask is since other packages are holding up the transition, I
wondered if fixing a potential FTBFS warranted an upload despite the
transition.

I've uploaded a new version of the experimental version of mednafen, with
only the fix for #677867, and that built correctly on hurd-i386.

Regards,

Stephen
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#672820; Package release.debian.org. (Tue, 19 Jun 2012 07:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 19 Jun 2012 07:51:08 GMT) Full text and rfc822 format available.

Message #61 received at 672820@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Stephen Kitt <steve@sk2.org>
Cc: 672820@bugs.debian.org
Subject: Re: Bug#672820: transition: libcdio
Date: Tue, 19 Jun 2012 09:33:53 +0200
On Tue, Jun 19, 2012 at 00:15:30 +0200, Stephen Kitt wrote:

> As you (Julien) discovered, mednafen has a potential FTBFS related to its
> construction of Built-Using (#677867). Given that the current package binNMU'd
> correctly on all platforms except hurd-i386, I suppose I should wait until
> the libcdio transition is over before uploading a fix, shouldn't I? The
> reason I ask is since other packages are holding up the transition, I
> wondered if fixing a potential FTBFS warranted an upload despite the
> transition.
> 
Yes, please wait until the current binNMUs make it to testing.

Thanks,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#672820; Package release.debian.org. (Sat, 30 Jun 2012 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 30 Jun 2012 14:21:03 GMT) Full text and rfc822 format available.

Message #66 received at 672820@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Nicolas Boullis <nboullis@debian.org>, 672820@bugs.debian.org
Subject: Re: Bug#672820: transition: libcdio
Date: Sat, 30 Jun 2012 16:16:59 +0200
[Message part 1 (text/plain, inline)]
On Sun, May 13, 2012 at 23:45:52 +0200, Nicolas Boullis wrote:

> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> Dear release team,
> 
> I'd like to upload a recent libcdio to unstable.
> Unfortunately, as usual with libcdio, upgrading from 0.81 to 0.83
> means breaking the ABI and changing the sonames of the
> libcdio-cdda, libcdio-paranoia, libcdio and libiso9660 libraries...
> 
All done as of a few days ago, closing.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Marked Bug as done Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 30 Jun 2012 14:21:05 GMT) Full text and rfc822 format available.

Notification sent to Nicolas Boullis <nboullis@debian.org>:
Bug acknowledged by developer. (Sat, 30 Jun 2012 14:21:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 29 Jul 2012 07:27:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:24:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.